## EMBOSS: hmoment

# Program hmoment

## Function

Hydrophobic moment calculation

## Description

hmoment plots or writes out the hydrophobic moment. Hydrophic moment is the hydrophobicity of a peptide measured for a specified angle of rotation per residue.

Periodicities in the polar/apolar character of the amino acid sequence of a protein can be examined by assigning to each residue a numerical hydrophobicity and searching for periodicity in the resulting one-dimensional function. The strength of each periodic component is the quantity that has been termed the hydrophobic moment.

When proteins of known three-dimensional structure are examined, it is found that sequences that form alpha helices tend to have, on average, a strong periodicity in the hydrophobicity of af 3.6 residues, the period of the alpha helix. The angle of rotation per residue in alpha helices is 100 degrees. Similarly, many sequences that form strands of beta sheets tend to have a periodicity in their hydrophobicity of about 2.3 residues, the period typical of beta structure. The angle of rotation per residue in beta sheets is 160 degrees. This means that many protein sequences tend to form the periodic structure that maximizes their amphiphilicity.

The hydrophobic moment is measured within a moving window using the method of Eisenberg et al. The default angle of 100 degrees is used for the alpha-helix results and the default of 160 degrees is used for the beta-sheet results. These angles can be changed if required using the appropriate options.

hmoment can plot two graphs when the option '-double' is given, one for the alpha helix moment and one for the beta sheet moment. Otherwise it just plots the alpha helix moment.

## Usage

Here is a sample session with hmoment:

    % hmoment sw:hbb_human
    Hydrophobic moment calculation
    Output file [hbb_human.hmoment]:

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-seqall]            seqall     Sequence database USA
    *  -graph              xygraph    Graph type
    *  -outfile            outfile    Output file name

       Optional qualifiers:
       -window             integer    Window
       -bangle             integer    Beta sheet angle (degrees)

       Advanced qualifiers:
       -aangle             integer    Alpha helix angle (degrees)
       -baseline           float      Graph marker line
       -plot               bool       Produce graphic
       -double             bool       Plot two graphs

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-seqall] (Parameter 1) | Sequence database USA | Readable sequence(s) | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
-outfile | Output file name | Output file | <sequence>.hmoment
Optional qualifiers | Allowed values | Default
-window | Window | Any integer value | 10
-bangle | Beta sheet angle (degrees) | Any integer value | 160
Advanced qualifiers | Allowed values | Default
-aangle | Alpha helix angle (degrees) | Any integer value | 100
-baseline | Graph marker line | Any integer value | 0.35
-plot | Produce graphic | Yes/No | No
-double | Plot two graphs | Yes/No | No

## Input file format

hmoment reads in a protein sequence.

## Output file format

With the '-plot' option hmoment displays a graphical plot of the hydrophobic moment of the specified alpha helix angle. With the '-plot -double' options it also displays the beta-sheet hydrophobic moment.

Otherwise it writes out a files containing the two columns separated by space or TAB characters. The first column is the position of the start of the window that the hydrophobic moment was calculated in. The second is the hydrophobic moment ('uH'). (If the option '-double' is given then the beta-sheet angle hydrophobicity is given as a third column.)

The ouput of the above is example follows:

    HMOMENT of HBB_HUMAN from 1 to 146

    Window: 10 Angle: 100 Max uH: 0.714
    Position        uH
    1               0.091
    2               0.216
    3               0.208
    4               0.123
    5               0.211
    6               0.194
    7               0.185
    8               0.169
    9               0.312
    10              0.292
    11              0.185
    12              0.092
    13              0.050
    14              0.164
    15              0.245
    16              0.187
    17              0.130
    18              0.262
    19              0.396
    20              0.317
    21              0.342
    22              0.492
    23              0.508
    24              0.517
    25              0.418
    26              0.416
    27              0.350
    28              0.292
    29              0.196
    30              0.102
    31              0.288
    32              0.314
    33              0.442
    34              0.560
    35              0.464
    36              0.577
    37              0.584
    38              0.676
    39              0.714
    40              0.670
    41              0.462
    42              0.369
    43              0.221
    44              0.176
    45              0.073
    46              0.058
    47              0.041
    48              0.148
    49              0.125
    50              0.219
    51              0.221
    52              0.110
    53              0.060
    54              0.045
    55              0.107
    56              0.264
    57              0.259
    58              0.401
    59              0.452
    60              0.354
    61              0.265
    62              0.365
    63              0.430
    64              0.522
    65              0.508
    66              0.519
    67              0.349
    68              0.324
    69              0.330
    70              0.365
    71              0.447
    72              0.364
    73              0.251
    74              0.166
    75              0.118
    76              0.252
    77              0.276
    78              0.299
    79              0.330
    80              0.241
    81              0.315
    82              0.291
    83              0.163
    84              0.182
    85              0.254
    86              0.069
    87              0.179
    88              0.201
    89              0.065
    90              0.041
    91              0.110
    92              0.181
    93              0.261
    94              0.312
    95              0.200
    96              0.263
    97              0.369
    98              0.310
    99              0.362
    100             0.495
    101             0.585
    102             0.450
    103             0.488
    104             0.547
    105             0.315
    106             0.311
    107             0.252
    108             0.187
    109             0.215
    110             0.295
    111             0.425
    112             0.303
    113             0.421
    114             0.528
    115             0.487
    116             0.436
    117             0.501
    118             0.532
    119             0.409
    120             0.447
    121             0.308
    122             0.383
    123             0.252
    124             0.361
    125             0.374
    126             0.314
    127             0.219
    128             0.310
    129             0.361
    130             0.439
    131             0.433
    132             0.507
    133             0.336
    134             0.344
    135             0.207
    136             0.234
    137             0.299

## Data files

None.

## Notes

None.

## References

Eisenberg D, Weiss RM, Terwilliger TC "The hydrophobic moment detects periodicity in protein hydrophobicity." Proc Natl Acad Sci U S A 1984 Jan;81(1):140-4

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
garnier | Predicts protein secondary structure
helixturnhelix | Report nucleic acid binding motifs
pepcoil | Predicts coiled coil regions
pepnet | Displays proteins as a helical net
pepwheel | Shows protein sequences as helices
tmap | Displays membrane spanning regions

## Author(s)

This application was written by Alan Bleasby (ableasby@hgmp.mrc.ac.uk)

## History

Written (March 2001) - Alan Bleasby.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments